Bug 922414 - (CVE-2012-6544) CVE-2012-6544 Kernel: Bluetooth: HCI & L2CAP information leaks
CVE-2012-6544 Kernel: Bluetooth: HCI & L2CAP information leaks
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120815,reported=2...
: Security
Depends On: 922415 922416 922417 922418
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 14:52 EDT by Prasad J Pandit
Modified: 2015-07-31 03:02 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 14:52:49 EDT
Linux kernel built with Bluetooth networking support is vulnerable to
information leakage flaws. These occur while calling getsockname,
and getsockopt(HCI_FILTER) routines.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/792039c73cf176c8e39a6e8beef2c94ff46522ed
 -> https://git.kernel.org/linus/3f68ba07b1da811bf383b4b701b129bfcb2e4988
 -> https://git.kernel.org/linus/e15ca9a0ef9a86f0477530b0f44a725d67f889ee

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 14:57:41 EDT
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise MRG 2.
Comment 3 errata-xmlrpc 2013-07-09 23:54:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html
Comment 4 errata-xmlrpc 2013-08-27 15:24:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1173 https://rhn.redhat.com/errata/RHSA-2013-1173.html
Comment 5 errata-xmlrpc 2013-09-03 16:29:44 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1195 https://rhn.redhat.com/errata/RHSA-2013-1195.html

Note You need to log in before you can comment on or make changes to this bug.